View Issue Details

IDProjectCategoryView StatusLast Update
0028583RunnerMacPublic2018-04-04 14:13
ReporterSam CummingAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version 
Fixed in Version2.1.4 
Summary0028583: Mac: XBONE controller has mis-mapped inputs on Mac Runner, however PS4 controller is correctly mapped
DescriptionThere are several controller consts that appear to be incorrectly mapped when using an XBONE controller (PS4 controllers are correctly mapped).

-gp_axisrh returns right stick vertical instead of right stick horizontal.
-gp_axisrv returns nothing.
-gp_shoulderlb seems to return right stick's positive X axis.
-gp_shoulderl & gp_shoulderr return nothing.
-gp_select returns nothing.

These work fine on Windows IDE also with both controllers.
Steps To Reproduce1. Open the attached project.
2. Attach an XBONE controller.
3. Run the project.
4. Press all of the buttons/move the stick and pad.
5. Observe the above issues with an XBONE gamepad.
1.4 Found In
2.x Runtime Found In2.1.3.189
2.x Runtime Verified In2.1.4.200

Activities

Sam Cumming

2017-12-20 10:45

Adminstrator  

GamepadTest.yyz (18,899 bytes)

Russell Kay

2018-01-04 14:21

Manager   ~0057176

How are you enabling use of XBox One Controller on the Mac????

https://www.macworld.co.uk/feature/mac/how-use-ps4-or-xbox-one-controller-on-mac-dualshock-4-xb1-on-macos-3626259/

Russell Kay

2018-01-04 17:26

Manager   ~0057182

Fixed in gitlab

Sam Cumming

2018-04-04 14:01

Adminstrator   ~0058589

The majority of this is fixed (2.1.4.285 / rt 2.1.4.200), however now shoulder/trigger buttons are mapped incorrectly.

gp_shoulderl maps to gp_shoulderlb, viceversa. The same is true with the right shoulder and trigger.

This occurs on both XBone and PS4 controllers.

Reopening.

Sam Cumming

2018-04-04 14:13

Adminstrator   ~0058590

Verified > 2.1.4.200 - Nevermind, I just got confused with the naming convention. Nothing to see here - Closing.